Python not loading in Windows QGIS (build from source)
Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11274

Description

For Windows platform, when I build from source the file libqgispython.dll is not loaded by QGIS, therefore there is no Python support.

I have found in src/app/qgisapp.cpp in line 3820 (file is r9003)

QString pythonlibName("qgispython");

If I make the string "libqgispython" then the .dll is loaded and Python support is available.

With Linux the name doesn't seem to matter.

So, for Windows the name should be "libqgispython" or the file should be built as qgispython.dll

Associated revisions

Revision 6884c502 - 2008-08-08 09:01 AM - Jürgen Fischer

fix library naming on MinGW (fixes #1214)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9030 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 4040ddd6 - 2008-08-08 09:01 AM - Jürgen Fischer

fix library naming on MinGW (fixes #1214)

git-svn-id: http://svn.osgeo.org/qgis/trunk@9030 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-08 12:01 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

[[MinGW]] issue fixed in commit:4040ddd6 (SVN r9031)

2025-06-14 1/2

http://svn.osgeo.org/qgis/trunk/qgis@9030
http://svn.osgeo.org/qgis/trunk@9030


#2 - 2008-08-09 06:48 PM - Steven Mizuno

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

I am reopening this ticket because commit:4040ddd6 (SVN r9031) builds the dll as liblibqgispython.dll, which won't be loaded unless it is renamed to

qgispython.dll.

I neglected to mention that it was [[MinGW]] that I was building with, but you picked up on it. Thanks.

I believe the the file should be referenced from qgisapp.cpp by the name "libqgispython" rather than "qgispython". This is what I have been doing when I

build for Windows and Mandriva Linux.

I don't have have any experience with MSVC building or Macs, so I'm not sure whether the name of the library and how it is referenced has any problems if

the name is libqgispython in those situations.

#3 - 2008-08-10 12:45 PM - Jürgen Fischer

Replying to [comment:2 smizuno]:

I am reopening this ticket because commit:4040ddd6 (SVN r9031) builds the dll as liblibqgispython.dll, which won't be loaded unless it is renamed to

qgispython.dll.

ouch.

I neglected to mention that it was [[MinGW]] that I was building with, but you picked up on it. Thanks.

hopefully fixes the problem correctly...

#4 - 2008-08-10 07:55 PM - Steven Mizuno

- Resolution set to fixed

- Status changed from Feedback to Closed

Replying to [comment:3 jef]:

hopefully fixes the problem correctly...

Yes, the problem is fixed. Thank you.

I am closing the ticket.

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
